Bug 1619627 - Add performance options to virt profile
Summary: Add performance options to virt profile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.3
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: RHGS 3.4.z Batch Update 1
Assignee: Krutika Dhananjay
QA Contact: Sweta Anandpara
URL:
Whiteboard:
Depends On:
Blocks: 1599423 1616270 1630798 1632150
TreeView+ depends on / blocked
 
Reported: 2018-08-21 10:54 UTC by SATHEESARAN
Modified: 2018-10-31 08:47 UTC (History)
11 users (show)

Fixed In Version: glusterfs-3.12.2-20
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1599423
: 1630798 1632150 (view as bug list)
Environment:
Last Closed: 2018-10-31 08:46:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3432 None None None 2018-10-31 08:47:58 UTC

Description SATHEESARAN 2018-08-21 10:54:14 UTC
Description of problem:
------------------------
The option performance.client-io-threads, which has been unavailable as a tuning option for replicated volumes in recent releases, is available in RHGS 3.3.1-async and RHGS 3.4. RHHI can benefit by adding it to the group virt profile, along with a few others. The following is the list of suggested additions to group virt:

performance.client-io-threads on
client.event-threads 4
server.event-threads 4

In addition, "cluster.choose-local false" is beneficial, and is already covered in bz #1568297.

In most random I/O tests on flash, the fuse thread is currently seen to be the bottleneck. client-io-threads, along with the other options, helps push IOPS far beyond what RHHI can currently provide.

Comment 3 Sahina Bose 2018-09-19 06:59:52 UTC
Proposing this as per the latest perf analysis in Bug 1616270.

Comment 4 Krutika Dhananjay 2018-09-19 10:26:06 UTC
Upstream patch posted - https://review.gluster.org/c/glusterfs/+/21222

Comment 13 errata-xmlrpc 2018-10-31 08:46:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3432


Note You need to log in before you can comment on or make changes to this bug.